¿Servidor de radio con manejo mediante navegador?

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Avatar de Usuario
rafacbf
Forista Nuevo
Forista Nuevo
Mensajes: 27
Registrado: Lun Ago 06, 2012 12:21 pm

¿Servidor de radio con manejo mediante navegador?

Mensaje por rafacbf »

Dudaba sobre que título poner

Tengo un viejo portatil Acer 3000

Código: Seleccionar todo

http://www.todato.net/ficha-tecnica/566-acer-aspire-3000.php
La pantalla se rompió y se la quité, el teclado y touchpad también están "chungos", así que lo tengo funcionando como una torre, conectado a monitor,teclado y ratón. Quiero usarlo como servidor de radio a través de Giss.tv y emitiendo chorradas varias para mi diversión , y dejarlo con Debian instalado, y sin perifericos para manejarlo mediante ssh. Vaya por delante que he revisado este tutorial de yoyo con idjc y que ya tuve funcionando una radio con icecast, ices2 y Giss.tv

La pregunta es ¿hay alguna aplicación que me permita manejar la emisión a través del navegador? algo tipo CMS, he estado buscando y no doy con nada así...

Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por mcun »

no se si podras administrar la aplicación pero fíjate en webmin
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

Avatar de Usuario
Yoyo
Administrador
Administrador
Mensajes: 3156
Registrado: Mar Jun 06, 2006 7:00 am
Ubicación: España
Contactar:

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por Yoyo »

No se si es lo que buscas pero había páginas donde se emitía desde ellas, es decir, con alguna especie de DJ, tu subías la música o te creabas una lista de reproducción y luego lo manejabas desde la web.

En los tiempos de mi radio online me topé con alguna de ellas que ahora no recuerdo.

Avatar de Usuario
rafacbf
Forista Nuevo
Forista Nuevo
Mensajes: 27
Registrado: Lun Ago 06, 2012 12:21 pm

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por rafacbf »

Pues muchas gracias por las respuestas. Yo penssé que "habrá algún software que se pueda instalar en un servidor linux" para crear una radio online, y de esa manera utilizar el portatil sin teclado, ratón ni monitor.

@mcun lo de webmin sería cosa de probarlo, gracias

@Yoyo sip, tambien me suena de haber visto alguna web para eso, y aunque no es lo que busco, podría funcionar igualmente.

¡ops! miren que casualidad, mientras pienso en este hilo acabo de ver por casualidad un artículo de MuyLinux hablando de Airtime, y según dicen se maneja desde el navegador, que interesante.

Aquí un video
http://youtu.be/8KpdMv0nWK4

Investigaré un poco...

Gracias de nuevo.

Editado -- Mié Ago 22, 2012 10:13 am --

¡UUUUF! dejé pasar los días que con estas calores no apetece trastear, pero hoy me he puesto a instalar Airtime en Debian y no lo consigo.

Lo primero me he pasado por http://www.sourcefabric.org/es/airtime/

Al instalarlo me ha dado muchos errores de dependencias. Al no ver explicaciones en la web buscando por google me encuentro este howto

http://www.ecualug.org/2012/02/20/airti ... an_squeeze


Como tengo el repo multimedia y no me sale el programa, he instalado las dependencias que dice y vuelto a probar la instalación del ".deb", pero me dice esto

Código: Seleccionar todo

dpkg -i airtime-easy-setup.deb 
Selecting previously unselected package airtime-easy-setup.
(Leyendo la base de datos ... 180218 ficheros o directorios instalados actualmente.)
Desempaquetando airtime-easy-setup (de airtime-easy-setup.deb) ...
dpkg: problemas de dependencias impiden la configuración de airtime-easy-setup:
 airtime-easy-setup depende de odbc-postgresql; sin embargo:
  El paquete `odbc-postgresql' no está instalado.
dpkg: error al procesar airtime-easy-setup (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 airtime-easy-setup
Al instalar el paquete que me dice pasa esto

apt-get install odbc-postgresql

Código: Seleccionar todo

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
 odbc-postgresql : Rompe: libiodbc2 pero 3.52.7-2 va a ser instalado
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).
Con lo cual al hacer


apt-get -f install

Código: Seleccionar todo

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
El paquete indicado a continuación se instaló de forma automática y ya no es necesarios.
  dcraw
Use 'apt-get autoremove' to remove it.
Los siguientes paquetes se ELIMINARÁN:
  airtime-easy-setup
0 actualizados, 0 se instalarán, 1 para eliminar y 9 no actualizados.
1 no instalados del todo o eliminados.
Se liberarán 5.120 B después de esta operación.
¿Desea continuar [S/n]? S
(Leyendo la base de datos ... 180231 ficheros o directorios instalados actualmente.)
Desinstalando airtime-easy-setup ...
Ahora hago
apt-get install odbc-postgresql

Código: Seleccionar todo

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  advancecomp avogadro-data calligra-data calligraflow-data calligrawords-data cvs edict fonts-dustin gnugo kalzium-data
  kanjidic kde-icons-mono kdeartwork-style kdeartwork-theme-window kdeedu-kvtml-data kdegames-card-data
  kdegames-mahjongg-data kdegraphics-strigi-analyzer kdesdk-scripts kdesdk-strigi-plugins kdewallpapers kgamma
  kgeography-data klettres-data krita-data krosspython kstars-data ktouch-data ktux libanalitza4abi1 libanalitzagui4
  libavogadro1 libboost-graph1.49.0 libc6-dbg libcfitsio3 libfame-0.9-1 libgraphicsmagick3 libgsl0ldbl libindi-data
  libindi0b libkdcraw-data libkdeedu-data libkggzmod4 libkggznet4 libkiten4abi1 libkmahjongglib4 libksane-data libksane0
  libnova-0.14-0 libokteta1core1 libokteta1gui1 libopenbabel4 libqhull5 libspnav0 libsvn1 libvncserver0 libxine1
  libxine1-bin libxine1-ffmpeg libxine1-misc-plugins libxine1-plugins libxine1-x optipng palapeli-data parley-data poxml
  python-aeidon python-avogadro python-cups python-cupshelpers python-enchant python-iniparse python-levenshtein
  python-qt4-sql python-simplejson python-vobject qhull-bin rdesktop subversion translate-toolkit ttf-sjfonts valgrind
  valgrind-dbg
Use 'apt-get autoremove' to remove them.
Paquetes sugeridos:
  unixodbc-bin
Los siguientes paquetes se ELIMINARÁN:
  akonadi-server akonadiconsole akregator amor ark blinken blogilo bomber bovo braindump calligra calligra-l10n-es
  calligra-libs calligraflow calligraplan calligrasheets calligrastage calligrawords cantor cantor-backend-kalgebra
  cervisia cvsservice dolphin dragonplayer ffmpegthumbs filelight freespacenotifier granatier gwenview jovie juk k3b
  k3b-dbg k3b-i18n kaccessible kaddressbook kaffeine kajongg kalarm kalgebra kalgebra-common kalzium kamera kanagram
  kapman kapptemplate karbon kate katepart katomic kbattleship kblackbox kblocks kbounce kbreakout kbruch kcachegrind
  kcalc kcharselect kcolorchooser kde-baseapps kde-baseapps-bin kde-config-cddb kde-config-cron kde-full
  kde-plasma-desktop kde-plasma-netbook kde-runtime kde-standard kde-style-oxygen kde-window-manager kde-workspace
  kde-workspace-bin kdeaccessibility kdeadmin kdeartwork kdebase-runtime kdeedu kdegames kdegraphics
  kdegraphics-mobipocket kdegraphics-thumbnailers kdelibs-bin kdelibs5-plugins kdemultimedia kdemultimedia-kio-plugins
  kdenetwork kdenetwork-filesharing kdepasswd kdepim kdepim-groupware kdepim-kresources kdepim-runtime
  kdepim-strigi-plugins kdepim-wizards kdepimlibs-kio-plugins kdeplasma-addons kdesdk kdesdk-dolphin-plugins
  kdesdk-kio-plugins kdesdk-misc kdetoys kdeutils kdewebdev kdf kdiamond kdm kdoctools kexi kfilereplace kfind
  kfourinline kgeography kget kgoldrunner kgpg khangman khelpcenter4 kig kigo killbots kimagemapeditor kinfocenter kiriki
  kiten kjots kjumpingcube kleopatra klettres klickety klines klinkstatus klipper kmag kmahjongg kmail kmenuedit kmines
  kmix kmousetool kmouth kmplot kmtrace knetwalk knode knotes kolf kollision kolourpaint4 kommander kompare konq-plugins
  konqueror konqueror-nsplugins konquest konsole konsolekalendar kontact kopete korganizer kpartloader kpat kppp krdc
  kremotecontrol kreversi krfb krita kruler ksaneplugin kscd kscreensaver kscreensaver-xsavers kshisen ksirk ksnapshot
  kspaceduel ksquares kstars ksudoku ksysguard ksystemlog kteatime kthesaurus ktimer ktimetracker ktouch ktron ktuberling
  kturtle kubrick kuiviewer kuser kwalletmanager kwordquiz kwrite libakonadi-contact4 libakonadi-kcal4 libakonadi-kde4
  libakonadi-kmime4 libiodbc2 libk3b-dev libk3b6 libk3b6-extracodecs libkabc4 libkactivities-bin libkactivities6
  libkasten1controllers1 libkasten1core1 libkasten1gui1 libkasten1okteta1controllers1 libkasten1okteta1core1
  libkasten1okteta1gui1 libkateinterfaces4 libkatepartinterfaces4 libkblog4 libkcal4 libkcalutils4 libkcddb4 libkdcraw20
  libkde3support4 libkdegames5a libkdepim4 libkdewebkit5 libkeduvocdocument4 libkemoticons4 libkfile4 libkggzgames4
  libkhtml5 libkimproxy4 libkio5 libkipi8 libkleo4 libkmediaplayer4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkonq-common libkonq5abi1 libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkrossui4 libktexteditor4 libktnef4 libktorrent4
  libkutils4 libkworkspace4abi1 libkxmlrpcclient4 libmailtransport4 libmessagecore4 libmessagelist4 libmicroblog4
  libnepomuk4 libnepomukquery4a libnepomukutils4 libokularcore1 libplasma3 libplasmaclock4abi3 libplasmagenericshell4
  libsmokekdecore4-3 libsmokekdeui4-3 libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3 libsmokenepomuk3 libsmokeplasma3 libsoprano4
  libsyndication4 libtaskmanager4abi3 libweather-ion6 lokalize lskat marble okteta okular palapeli parley
  plasma-containments-addons plasma-dataengines-addons plasma-dataengines-workspace plasma-desktop plasma-netbook
  plasma-runners-addons plasma-scriptengine-googlegadgets plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba plasma-scriptengine-webkit plasma-scriptengines
  plasma-wallpapers-addons plasma-widget-folderview plasma-widget-lancelot plasma-widget-networkmanagement
  plasma-widgets-addons plasma-widgets-workspace polkit-kde-1 python-kde4 rocs ruby-kde4 ruby-plasma soprano-daemon step
  svgpart sweeper system-config-printer-kde systemsettings umbrello update-notifier-kde
Se instalarán los siguientes paquetes NUEVOS:
  odbc-postgresql
0 actualizados, 1 se instalarán, 321 para eliminar y 9 no actualizados.
Necesito descargar 549 kB de archivos.
Se liberarán 718 MB después de esta operación.

Y que coño, me quiere hacer una escabechina de cojona... ya me he perdido, creo que lo voy a dejar, demasiado riesgo solo para unas pruebas. Supongo que debería probarlo en otra maquina.

Esto de ser novato a veces resulta un problema...
Saludos.

Avatar de Usuario
Yoyo
Administrador
Administrador
Mensajes: 3156
Registrado: Mar Jun 06, 2006 7:00 am
Ubicación: España
Contactar:

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por Yoyo »

Hola, rafa

Tienes que agregar el repo de airtime y el backports de debian, en caso de que no lo tengas

Asumo que tienes Debian Squeeze

Edita tu /etc/apt/sources.list y añade.

Código: Seleccionar todo

#Airline
deb http://apt.sourcefabric.org/ squeeze main
Y si no tienes el backports, lo añades.

Código: Seleccionar todo

#Bacports
deb http://backports.debian.org/debian-backports squeeze-backports main
Haz un update e instala la key del repo airtime pues te dará error

Código: Seleccionar todo

sudo apt-get update
sudo apt-get install sourcefabric-keyring
Y luego instala

Código: Seleccionar todo

sudo apt-get install postgresql icecast2 airtime
También mira esto a ver

Código: Seleccionar todo

sudo apt-get install mysql newscoop
Durante la instalación del airtime te hará unas preguntas sobre su configuración, pregustas que has de responder, y cuando termine ya lo tendrás instalado.

Esperemos que con el guirigai que has formado antes no te de problemas entre paquetes

También si te da problemas de dependencias puedes mirar el link que tu mismo dejaste http://www.ecualug.org/2012/02/20/airti ... an_squeeze

Un saludo

Avatar de Usuario
rafacbf
Forista Nuevo
Forista Nuevo
Mensajes: 27
Registrado: Lun Ago 06, 2012 12:21 pm

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por rafacbf »

Muchas gracias Yoyo

Tengo testing (por ahora wheezy) ¿sigo tus consejos igualmente?

Avatar de Usuario
Yoyo
Administrador
Administrador
Mensajes: 3156
Registrado: Mar Jun 06, 2006 7:00 am
Ubicación: España
Contactar:

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por Yoyo »

rafacbf escribió:Muchas gracias Yoyo

Tengo testing (por ahora wheezy) ¿sigo tus consejos igualmente?
No, el repo de Squeeze no sirve para testing (Wheezy)

Estoy viendo que para Wheezy no hay nada, ni en el repo de sourcefabric http://apt.sourcefabric.org/

Ni en la wiki de Airtime https://wiki.sourcefabric.org/display/C ... 8v2.1.3%29

Tienes dos opciones, según veo.

1) intentar instalarlo desde el source http://sourceforge.net/projects/airtime/files/

Te bajas de ahí el último y luego sigues las instrucciones de instalación de la wiki que dejé antes

2) Usar el repo de ubuntu precise que es lo más parecido a Wheezy

Con esto no se que podría pasar si te diera o no errores


EDITO:

Buscando en el foro de desarrollo de Airtime he encontrado un paquete más nuevo, bájalo e instala con gedebi a ver si te sirva, este es de este pasado día 14 versión 2.2.0

http://apt.sourcefabric.org/snapshots/a ... 14_all.deb

Aquí el repo http://apt.sourcefabric.org/snapshots/

Aquí te dejo el foro de soporte por si quieres consultar http://forum.sourcefabric.org/categorie ... me-support

Y en español http://forum.sourcefabric.org/categorie ... efabric-es

Avatar de Usuario
rafacbf
Forista Nuevo
Forista Nuevo
Mensajes: 27
Registrado: Lun Ago 06, 2012 12:21 pm

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por rafacbf »

Ostras Yoyo, me dejas helado, y avergonzado por no haber sido yo capaz de encontrar toda esa info en tan poco tiempo.

Acabo de aprender mucho en esta consulta. Cuanto tenga algo vuelvo a comentar por aquí.

Repito mi agradecimiento

Avatar de Usuario
Yoyo
Administrador
Administrador
Mensajes: 3156
Registrado: Mar Jun 06, 2006 7:00 am
Ubicación: España
Contactar:

Re: ¿Servidor de radio con manejo mediante navegador?

Mensaje por Yoyo »

Na, no te preocupes.

Uno que ya es perro viejo en la net y sabe por donde entrarle mejor para que se deje hacer ;)

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje